### 5.1.40 fglmquot

`Syntax:`
  `fglmquot (` ideal_expression`,` poly_expression `)`
`Type:`
  ideal
`Purpose:`
  computes a reduced Groebner basis of the ideal quotient `I:p` of a zero-dimensional ideal `I` and a polynomial `p` using FGLM-techniques.
`Assume:`
  The ideal must be zero-dimensional and given as a reduced Groebner basis in the given ring. The polynomial must be reduced with respect to the ideal.
`Example:`

        ring r=0,(x,y,z),lp;
        ideal i=y3+x2,x2y+x2,x3-x2,z4-x2-y;
        option(redSB);   // force the computation of a reduced SB
        i=std(i);
        poly p=reduce(x+yz2+z10,i);
        ideal j=fglmquot(i,p);
        j;
      ==> j[1]=z12
      ==> j[2]=yz4-z8
      ==> j[3]=y2+y-z8-z4
      ==> j[4]=x+y-z10-z6-z4

See fglm; option; quotient; ring; std; vdim.

User manual for Singular version 4.4.1, 2025, generated by texi2html.